import {BrowserRouter, Route, Routes} from "react-router-dom";
import Navigation from "@/common/components/Navigation";
import Home from "@/pages/Home";
import Features from "@/pages/Features";
import Coins from "@/pages/Coins";
import Status from "@/pages/Status";
import More from "@/pages/More";
import AboutUs from "@/pages/AboutUs";
import PrivacyPolicy from "@/pages/TextPages/PrivacyPolicy/index.js";
import Imprint from "@/pages/TextPages/Imprint/index.js";
import TermsOfService from "@/pages/TextPages/TermsOfService/index.js";

const App = () => (
    <BrowserRouter>
        <Navigation />

        <Routes>
            <Route path="/" element={<Home/>}></Route>
            <Route path="/features" element={<Features/>}></Route>
            <Route path="/coins" element={<Coins/>}></Route>
            <Route path="/status" element={<Status/>}></Route>
            <Route path="/more" element={<More/>}></Route>
            <Route path="/about-us" element={<AboutUs/>}></Route>
            <Route path="/privacy" element={<PrivacyPolicy/>}></Route>
            <Route path="/imprint" element={<Imprint/>}></Route>
            <Route path="/tos" element={<TermsOfService/>}></Route>
        </Routes>
    </BrowserRouter>
)

export default App;